<ion-content>
  <!--------------------------------------------------------------------------------------------------->
  <ion-card>
    <ion-card-header>
      <ion-card-title>
        Update Headquarter
      </ion-card-title>
    </ion-card-header>
    <ion-card-content>

      <form [formGroup]="formUpdateSede" >
        <div padding>
          <ion-item>
            <ion-input name="citta" type="text" placeholder="City" formControlName="citta"style="text-transform: capitalize;"></ion-input>
          </ion-item>

          <ion-item *ngIf="formUpdateSede.controls['citta'].invalid && formUpdateSede.controls['citta'].dirty ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>
        </div>
        <div padding>
          <ion-item>
            <ion-input name="via" type="text" placeholder="Street" formControlName="via"style="text-transform: capitalize;"></ion-input>
          </ion-item>

          <ion-item *ngIf="formUpdateSede.controls['via'].invalid && formUpdateSede.controls['via'].dirty ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>
        </div>
        <div padding>
          <ion-item>
            <ion-input name="civico" type="text" placeholder="N°" formControlName="civico"></ion-input>
          </ion-item>

          <ion-item *ngIf="formUpdateSede.controls['civico'].invalid && formUpdateSede.controls['civico'].dirty ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>
        </div>
        <div padding>
          <ion-item>
            <ion-input name="telefono" type="text" placeholder="Phone" formControlName="telefono"></ion-input>
          </ion-item>

          <ion-item *ngIf="formUpdateSede.controls['telefono'].invalid && formUpdateSede.controls['telefono'].dirty ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>
        </div>
        <div padding>
          <ion-item>
            <ion-input name="cap" type="text" placeholder="Cap" formControlName="cap"></ion-input>
          </ion-item>

          <ion-item *ngIf="formUpdateSede.controls['cap'].invalid && formUpdateSede.controls['cap'].dirty ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>
        </div>

        <div padding>
          <ion-button class="btn" color='primary' (click)="updateSede()" size="large" type="submit" [disabled]="formUpdateSede.invalid">Update Sede</ion-button>
        </div>

      </form>
      <!--{{aziende|json}}-->

    </ion-card-content>
  </ion-card>
  <!------------------------------------------------------->
  <details>
    <summary style="text-align: center;color: white;"><B>Grafico</B></summary>

     <div class="ion-padding">
      <ion-card>
        <ion-card-header>
          Y= n°Desk<br>
          X= Day
        </ion-card-header>
        <ion-card-content>
          <canvas #lineCanvas style="position: relative; height:20vh; width:40vw"></canvas>
        </ion-card-content>
      </ion-card>
    </div>

  </details>
  <!----------------------------------------------------------------------------------------------------------------------------------------->
  <ion-card>
    <ion-card-header>

      <ion-card-title>Room List</ion-card-title>
    </ion-card-header>
  <ion-list>

    <!--<ion-toolbar>
      <ion-searchbar animated></ion-searchbar>
      </ion-toolbar>-->
    <ion-item *ngFor='let i of stanze'>
      <ion-label>{{i.name|titlecase}}</ion-label>
      <ion-label>{{postiDisponibili(i)}}/{{totalePostiperStanza(i)}}</ion-label>
      <ion-button fill="outline"(click)='modify(i)'>Modify</ion-button>
      <ion-button color='danger' fill="outline" (click)='delete(i)'>Delete</ion-button>
    </ion-item>

  </ion-list>
  </ion-card>
  <div style="text-align:center;">
    <ion-button class='add' color='success' fill="outline"(click)="add()" >Add Room</ion-button>
  </div>
    </ion-content>
